> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payment plans



## OpenAPI

````yaml openapi-billing.json GET /v1/payment_plans
openapi: 3.1.0
info:
  title: Yorlet Billing API
  description: APIs for managing invoices, coupons, credit grants, and subscription items.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/payment_plans:
    get:
      tags:
        - Payment Plans
      summary: List all payment plans
      operationId: payment_plans_list
      responses:
        '200':
          description: >-
            A object with a data property that contains an array of payment
            plans.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - payment_plan
                        accepted_at:
                          type:
                            - integer
                            - 'null'
                          description: The date and time the customer accepted the plan.
                        amount:
                          type: integer
                          description: >-
                            The total amount the plan collects across all
                            installments.
                        amount_paid:
                          type: integer
                          default: 0
                          description: The amount collected by the plan so far.
                        canceled_at:
                          type:
                            - integer
                            - 'null'
                          description: The date and time the plan was canceled.
                        completed_at:
                          type:
                            - integer
                            - 'null'
                          description: >-
                            The date and time the final installment was
                            collected.
                        currency:
                          type: string
                          enum:
                            - gbp
                            - usd
                            - eur
                            - sek
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                          example: gbp
                        customer:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The customer the plan is for.
                        defaulted_at:
                          type:
                            - integer
                            - 'null'
                          description: The date and time the plan defaulted.
                        installments:
                          type: array
                          items:
                            type: object
                            properties:
                              amount:
                                type: integer
                                description: The amount of the installment.
                              attempt_count:
                                type: integer
                                default: 0
                                description: >-
                                  The number of times collection of the
                                  installment has been attempted.
                              due_date:
                                type: integer
                                description: >-
                                  The date and time the installment is collected
                                  on.
                              failure_reason:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The reason the most recent collection attempt
                                  failed, if it did.
                              part_payment:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The ID of the part payment created to collect
                                  the installment.
                              status:
                                type: string
                                enum:
                                  - pending
                                  - paid
                                  - failed
                                description: The status of the installment.
                            required:
                              - amount
                              - due_date
                              - failure_reason
                              - part_payment
                              - status
                          default: []
                          description: >-
                            The installments that make up the plan, in
                            collection order.
                        interval:
                          type: string
                          enum:
                            - week
                            - month
                          description: The frequency installments are collected at.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        payment_method:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The payment method installments are charged to.
                        recovery_case:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The recovery case the plan settles.
                        status:
                          type: string
                          enum:
                            - proposed
                            - active
                            - completed
                            - defaulted
                            - canceled
                          description: The status of the plan.
                      required:
                        - id
                        - created
                        - object
                        - accepted_at
                        - amount
                        - canceled_at
                        - completed_at
                        - currency
                        - customer
                        - defaulted_at
                        - interval
                        - payment_method
                        - recovery_case
                        - status
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````